CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Events
CommandMessenger.Transport.ITransport Interface Reference

Interface for transport layer. More...

Inheritance diagram for CommandMessenger.Transport.ITransport:

List of all members.

## Public Member Functions
bool | Connect ()
| Connect transport.
bool | Disconnect ()
| Disconnect transport.
bool | IsConnected ()
| Returns connection status.
byte[] | Read ()
| Bytes read over transport.
void | Write (byte[] buffer)
| Write bytes over transport.
## Events
EventHandler | DataReceived
| Bytes have been received event.

## Detailed Description

Interface for transport layer.

## Member Function Documentation

bool CommandMessenger.Transport.ITransport.Connect | ( |  | ) |

Connect transport.

Returns:

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

bool CommandMessenger.Transport.ITransport.Disconnect | ( |  | ) |

Disconnect transport.

Returns:

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

bool CommandMessenger.Transport.ITransport.IsConnected | ( |  | ) |

Returns connection status.

Returns:
  true when connected

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

byte [] CommandMessenger.Transport.ITransport.Read | ( |  | ) |

Bytes read over transport.

Returns:

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

void CommandMessenger.Transport.ITransport.Write | ( | byte[] | buffer | ) |

Write bytes over transport.

Parameters:

  buffer |

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

## Event Documentation

EventHandler CommandMessenger.Transport.ITransport.DataReceived

Bytes have been received event.

Implemented in CommandMessenger.Transport.Bluetooth.BluetoothTransport, CommandMessenger.Transport.Serial.SerialTransport, and CommandMessenger.Transport.Network.TcpTransport.

The documentation for this interface was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/Transport/ITransport.cs